Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001275TestLinkTest Specificationpublic2008-01-11 16:002010-05-01 20:33
Reportervalyduser 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.2 
Fixed in Version1.8.5 (bug fixing) 
Summary0001275: Test Case import - possibility to create new versions while importing
DescriptionIs it possible to provide a feature to automaticaly create a new version of a test case that is being uploaded rather than overwriting the older changes of the test cases. For this obviously you will need to provide another boolean coloumn that would ask if new versio needs to be created or not and based on it the necessary test cases would be overwritten or a new version of the test case can be created.

In our scenario we already have uploaded bulk testcases to testlink from excel ( by converting it to XML ) and we maintain excel and test link test cases seperately. With bulk updates being done for older test cases we also want to maintain the older versions of the test cases in test link, which currently we have to update it test link and then import them back in XML format. occasionally with lots of users accessing the site, an offline method of updating the test cases in excel and later creating new versions of selected test cases in teslink, would proove of much help when test link is unavailable due to whatever reasons.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon 1275.jpg [^] (30,081 bytes) 2010-02-28 18:52

- Relationships

-  Notes
(0002902)
fman (administrator)
2008-01-11 17:13

Please provide better summary.
(0004345)
fman (administrator)
2008-10-09 22:55

still waiting for better summary
(0004747)
kjelsbak (reporter)
2008-12-02 21:58

What is your requirement for the summary field?
Will this be a better summary?
"Import new version - new button at the Edit Test Case page"
This button will sit next to the "Create new version" button
(0004750)
fman (administrator)
2008-12-03 02:00

>> What is your requirement for the summary field?
Something that allows a developer to clearly understand what has to be implemented.

>>Will this be a better summary?
>>"Import new version - new button at the Edit Test Case page"
>>This button will sit next to the "Create new version" button
absolutly not.

You are free to implement this yourself if you think requirement is clear, and then submit us the code.
(0004988)
djibi2 (reporter)
2009-01-10 07:28

We are looking into using TL and will be importing test cases from Doors. It would be important for us to be able to make use of the testcase versioning.

So in addition to the current "create new version" feature, it would be good to have an "import new version" which is what I think is what is being requested here.

It seems like this could be managed be checking the externalID of the testcase being imported, if it exists, the new database entry preserves the externalID but bumps the version.
(0009207)
fman (administrator)
2010-02-28 18:52

see attached image version 1.8.5

- Issue History
Date Modified Username Field Change
2008-01-11 16:00 valyduser New Issue
2008-01-11 17:13 fman Note Added: 0002902
2008-01-11 17:13 fman Summary Versions of test cases. => Test Case import - possibility to create new versions while importing
2008-10-09 22:55 fman Note Added: 0004345
2008-10-09 22:55 fman Status new => feedback
2008-12-02 21:58 kjelsbak Note Added: 0004747
2008-12-03 02:00 fman Note Added: 0004750
2009-01-10 07:28 djibi2 Note Added: 0004988
2009-04-01 16:06 fman Status feedback => assigned
2009-04-01 16:06 fman Assigned To => fman
2010-02-28 18:52 fman Note Added: 0009207
2010-02-28 18:52 fman File Added: 1275.jpg
2010-02-28 18:52 fman Status assigned => resolved
2010-02-28 18:52 fman Fixed in Version => 1.8.5 (bug fixing)
2010-02-28 18:52 fman Resolution open => fixed
2010-05-01 20:33 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker